### Constructor

# AppStream SystemInfo new_template_for_chassis

since: 1.0.0

#### Declaration [src]

    AsSystemInfo*
    as_system_info_new_template_for_chassis (
      AsChassisKind chassis,
      GError** error
    )

#### Description [src]

Creates a new `AsSystemInfo` that can be used as a mock system for the given chassis type, reading (mostly) no information from the current system.

This function will try to generate a device most representative of the given chassis class. This can be useful when testing compatibility for other devices on a different device that is not of the same chassis type as the one to be tested.

Available since: 1.0.0

#### Parameters

`chassis`

  Type: `AsChassisKind`

  The `AsChassisKind` to generate a template for.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `AsSystemInfo`

An `AsSystemInfo` template.

The caller of the function takes ownership of the data, and is responsible for freeing it.